### Class

# Phosh VpnManager

since: 0

#### Description [src]

    final class Phosh.VpnManager : GObject.Object
    {
      /* No available fields */
    }

Tracks the Vpn status and handle vpn credentials entry

Manages vpn information and state.

Available since: 0

#### Ancestors

- GObject

#### Constructors

###### phosh_vpn_manager_new

No description available.

since: 0

#### Instance methods

###### phosh_vpn_manager_get_enabled

No description available.

since: 0

###### phosh_vpn_manager_get_icon_name

No description available.

since: 0

###### phosh_vpn_manager_get_last_connection

No description available.

since: 0

###### phosh_vpn_manager_get_present

No description available.

since: 0

###### phosh_vpn_manager_toggle_last_connection

No description available.

since: 0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.VpnManager:enabled

Whether a VPN connection is enabled.

since: 0

###### Phosh.VpnManager:icon-name

The icon name to represent the current VPN status.

since: 0

###### Phosh.VpnManager:last-connection

No description available.

since: 0

###### Phosh.VpnManager:present

Whether there is at least one VPN connection configured.

since: 0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct PhoshVpnManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.